import { createRouter, createWebHistory } from 'vue-router';
// import Layout from '@/layouts/index.vue';

import demoRouters from './modules/demo';

export const constantRoutes = [
  // {
  //   path: '/404',
  //   name: '404',
  //   component: () => import('@/views/error/404.vue'),
  //   hidden: true,
  // },
  // {
  //   path: '/403',
  //   name: '403',
  //   component: () => import('@/views/error/403.vue'),
  //   hidden: true,
  // },
  // {
  //   path: '/',
  //   name: 'layout',
  //   component: Layout,
  //   redirect: '/home',
  //   meta: { title: '首页', icon: 'House' },
  //   children: [
  //     {
  //       path: '/home',
  //       component: () => import('@/views/home/index.vue'),
  //       name: 'home',
  //       meta: { title: '首页', icon: 'House' },
  //     },
  //   ],
  // },
  ...demoRouters,
  {
    path: '/test',
    name: 'test',
    component: () => import('@/views/test/index.vue'),
    hidden: true,
  },
];

/**
 * @Title notFoundRouter(找不到路由)
 */
export const notFoundRouter = {
  path: '/:pathMatch(.*)',
  name: 'notFound',
  redirect: '/404',
};

const router = createRouter({
  history: createWebHistory(),
  routes: constantRoutes,
});

export default router;
